package com.ruoyi.interfaces.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 模型参数分组对象 md_model_pargroup
 * 
 * @author 朱得糠
 * @date 2025-08-01
 */
public class MdModelPargroup extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 参数组ID */
    private Integer mgid;

    /** 模型ID */
    private String mdid;

    /** 组编码 */
    @Excel(name = "组编码")
    private String parGroupCode;

    /** 组名称 */
    private String parGroupName;

    /** 组排序 */
    private Integer parGroupSort;

    /** 组描述 */
    @Excel(name = "组描述")
    private String parGroupNote;

    /** 编辑时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "编辑时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date modifyby;


    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createby;

    public Date getCreateby() {
        return createby;
    }

    public void setCreateby(Date createby) {
        this.createby = createby;
    }

    public void setMgid(Integer mgid)
    {
        this.mgid = mgid;
    }

    public Integer getMgid() 
    {
        return mgid;
    }
    public void setMdid(String mdid) 
    {
        this.mdid = mdid;
    }

    public String getMdid() 
    {
        return mdid;
    }
    public void setParGroupCode(String parGroupCode) 
    {
        this.parGroupCode = parGroupCode;
    }

    public String getParGroupCode() 
    {
        return parGroupCode;
    }
    public void setParGroupName(String parGroupName) 
    {
        this.parGroupName = parGroupName;
    }

    public String getParGroupName() 
    {
        return parGroupName;
    }
    public void setParGroupSort(Integer parGroupSort) 
    {
        this.parGroupSort = parGroupSort;
    }

    public Integer getParGroupSort() 
    {
        return parGroupSort;
    }
    public void setParGroupNote(String parGroupNote) 
    {
        this.parGroupNote = parGroupNote;
    }

    public String getParGroupNote() 
    {
        return parGroupNote;
    }
    public void setModifyby(Date modifyby) 
    {
        this.modifyby = modifyby;
    }

    public Date getModifyby() 
    {
        return modifyby;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("mgid", getMgid())
            .append("mdid", getMdid())
            .append("parGroupCode", getParGroupCode())
            .append("parGroupName", getParGroupName())
            .append("parGroupSort", getParGroupSort())
            .append("parGroupNote", getParGroupNote())
            .append("createby", getCreateby())
            .append("modifyby", getModifyby())
            .toString();
    }

    public MdModelPargroup(Integer mgid, String mdid, String parGroupCode, String parGroupName, Integer parGroupSort, String parGroupNote, Date modifyby, Date createby) {
        this.mgid = mgid;
        this.mdid = mdid;
        this.parGroupCode = parGroupCode;
        this.parGroupName = parGroupName;
        this.parGroupSort = parGroupSort;
        this.parGroupNote = parGroupNote;
        this.modifyby = modifyby;
        this.createby = createby;
    }

    public MdModelPargroup() {
    }
}
